Cgu::Thread::TaskManagerHelper::FunctorResultWrapper< Ret, FType > Struct Template Reference

`#include <task_manager.h>`

## Static Public Member Functions

static void | exec (FType &f, const SharedLockPtr< AsyncResult< Ret >> &ret)
static void | do_fail (const SharedLockPtr< AsyncResult< Ret >> &ret)

## Member Function Documentation

template<class Ret , class FType >

static void Cgu::Thread::TaskManagerHelper::FunctorResultWrapper< Ret, FType >::do_fail | ( | const SharedLockPtr< AsyncResult< Ret >> & | ret) |  |

inline static

template<class Ret , class FType >

static void Cgu::Thread::TaskManagerHelper::FunctorResultWrapper< Ret, FType >::exec | ( | FType & | f,
|  | const SharedLockPtr< AsyncResult< Ret >> & | ret
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- task_manager.h